Kicker Pager MDK9.1 RPM

Various KDE 1.-4. Improvements

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
Score 35%
Description:

details here:
http://www.kdelook.org/content/show.php?content=6702

Last changelog:

15 years ago

Resizes appropriately on smaller panels.
Border / text colour is now configurable.
Migration to a seperate configuration file from KPager.
Added a right-click context menu, with a menu item to the "Multiple Desktops" configuration.
Few more code clean ups.

Cwiiis

15 years ago

As well as fixing the resizing bug, it'd be nice if you made it respond to the 4th & 5th mouse buttons on intellimouses - The current Pager scrolls left on mouse4 & right on mouse5 and I find that quite useful - The same happens with the mouse-wheel (mouse-wheel up = left, down = right)

Report

epoch

15 years ago

Resizing bug is fixed. (It's in 0.3).

Yes, I'll have to dig out my intellimouse now :)

Report

sourcexx

15 years ago

hi mdk rpm guy...

to get rig of the libglcore deps just try something like this:

---
#!/bin/sh
NVIDIA_RUNNING=`/sbin/lsmod | grep -c nvidia`

if test "${NVIDIA_RUNNING}" -gt "0"; then
echo + nvidia libgl running - replacing symlink with xfree gl...
cd /usr/lib/
rm libGL.so.1
ln -s GL/libGL.so.1.2.xf86_glx libGL.so.1
fi

BUILDYOURRPMHERE


if test "${NVIDIA_RUNNING}" -gt "0"; then
echo + recovering nvidia gl
NV_GLX_LIB=`ls -la /usr/lib/libGL.so.*.*.* | \
awk -F "/usr/lib/" '{print $2}'`
cd /usr/lib/
rm libGL.so.1
ln -s ${NV_GLX_LIB} libGL.so.1

---

rgds
marc'O

Report

ranger

15 years ago

Just redefine __find_requires instead.

In your ~/.rpmmacros, add something like this (one line):

%__find_requires /path/to/find_requires_nonvidia %__find_requires_path %{?buildroot:%{buildroot}} %{?_target_cpu:%{_target_cpu}}

And use http://ranger.dnsalias.com/mandrake/configs/find-requires-nonvidia as /path/to/find_requires_nonvidia

Report

ranger

15 years ago

The entry for ~/.rpmmacros should be:

%__find_requires /path/to/find_requires_nonvidia %{?buildroot:%{buildroot}} %{?_target_cpu:%{_target_cpu}}

Report

oman

15 years ago

When I tried installing this package on MDK9.1, it was complaining about a failed dependency in libGLcore.so.1. I DO have an nVidia card, but anyway I used rpm -iv --force --nodeps. Now I'm trying to remove the package (only b/c my kicker is set to small size), but it can't find the package....
Any help would be appreciated, thanks!

Report

epoch

15 years ago

As a note, I just snagged that bug. It'll resize appropriately on small panels in the next release.

Report

C

rex

15 years ago

try:
rpm --rebuilddb
rpm -e kickerpager

Report

15 years ago

Resizes appropriately on smaller panels.
Border / text colour is now configurable.
Migration to a seperate configuration file from KPager.
Added a right-click context menu, with a menu item to the "Multiple Desktops" configuration.
Few more code clean ups.

product-maker 25 11

File (click to download) Version Description Downloads Date Filesize DL OCS-Install
Pling
*Needs ocs-url or ocs-store to install things
Details
license
version
0.3-1
updated Jun 21 2003
added Jun 20 2003
downloads today
0
page views today 2